Subject: Re: Cygwin Bash shell on Windows 2003 Server not working
From: "Nitin Agarwal" <[email-masked]>
To: "Eric Blake" <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Feb 2006 19:33:30 -0500

Eric,

I tried copyinh the bash as sh.exe by running your command but it did not work.
And when I run .\bash.exe -livx I get the same error in stack dump -

Exception: STATUS_ACCESS_VIOLATION at eip=00437B40
eax=00004000 ebx=00000004 ecx=610FCE28 edx=00000000 esi=0022EED9 edi=61102C1C
ebp=0022EEA8 esp=0022EC0C program=C:\cygwin\bin\bash.exe, pid 21516, thread main
cs=001B ds=0023 es=0023 fs=003B gs=0000 ss=0023
Stack trace:
Frame     Function  Args
0022EEA8  00437B40  (00000002, 004B01C0, 004B0090, 61010EAC)
0022EF78  61005BC8  (0022EFD0, FFFFFFFF, 0022EFB3, 00246E40)
0022FF88  61005EB3  (00000000, 00000000, 00000000, 00000000)
End of stack trace

Is there a way reinstall just BASH.exe and run the post install script?

Thanks.

> The postinstall script for the bash package effectively does
> 'cp /bin/bash /bin/sh' from inside a bash shell, so you could
> manually do that (or the cmd.com equivalent
> 'copy c:\cygwin\bin\bash.exe c:\cygwin\bin\sh.exe').  But
> the bigger question is WHY the postinstall script is failing,
> and the realization that the postinstall script relies on bash
> working.  As has been previously suggested on this list,
> if you are having problems starting bash, a good thing to
> try is opening a cmd.com window in c:\cygwin\bin (or
> wherever you installed), then running ".\bash.exe -livx"
> to start an interactive login shell with full debugging
> statements, and see how far you get or what error
> message is printed.
>
> > Or is there any other way I can install cygwin?
>
> setup.exe is the only recommended method from this mailing
> list.
>
>

On 2/23/06, Eric Blake <[email-masked]> wrote:
> Ugh - topposting reformatted: http://cygwin.com/acronyms/#TOFU
>
> > On 2/23/06, Eric Blake <ebb9 AT byu DOT net> wrote:
>                              ^^^^   ^^^^^
>
> Ugh - raw email: http://cygwin.com/acronyms/#PCYMTNQREAIYR
>
> > >
> > > Try rerunning setup.exe to reinstall bash:
> > >
> > > > Not Found: sh
> > >
> > > Until that line of cygcheck -svf is resolved, the bash postinstall script
> > > has not correctly run, and cygwin will be unusable.  If you are getting
> > > errors while trying to install bash and rerun the postinstall script, then
> > > there may be some permissions problems to research.  But hopefully the
> > > reinstall of bash will solve your problems.
> > >
>
> > Eric,
> >
> > Thanks for the reply.
> >
> > I have run the cygwin install 3-4 times after removing everything. But
> > I still get the same error. And the installation package downloaded
> > from cygwin website works fine on one of my Windows XP machine.
> >
> > You have pointed out an error - > > Not Found: sh
> >
> > Can I copy this or install this from some other installation package?
>
> The postinstall script for the bash package effectively does
> 'cp /bin/bash /bin/sh' from inside a bash shell, so you could
> manually do that (or the cmd.com equivalent
> 'copy c:\cygwin\bin\bash.exe c:\cygwin\bin\sh.exe').  But
> the bigger question is WHY the postinstall script is failing,
> and the realization that the postinstall script relies on bash
> working.  As has been previously suggested on this list,
> if you are having problems starting bash, a good thing to
> try is opening a cmd.com window in c:\cygwin\bin (or
> wherever you installed), then running ".\bash.exe -livx"
> to start an interactive login shell with full debugging
> statements, and see how far you get or what error
> message is printed.
>
> > Or is there any other way I can install cygwin?
>
> setup.exe is the only recommended method from this mailing
> list.
>
> >
> > Thanks.
> >
> > Nitin
> >
>
> --
> Eric Blake
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/